//
//  ESCore.h
//  DiceView
//
//  Created by kunii on 10/03/29.
//  Copyright 2010 Apple Inc. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <OpenGLES/ES1/gl.h>
#import <OpenGLES/ES1/glext.h>

@class Light;
@class DiceGL;


@interface ESCore : NSObject {
    GLuint depthRenderbuffer;
	Light*	light;
	DiceGL*	cube;
}
@property (nonatomic, retain) DiceGL*	cube;

-(void)draw;
-(void)resetViewWidth:(GLint)backingWidth height:(GLint)backingHeight;
-(void)deleteGLBuffer;
@end

@protocol ESCore
-(ESCore*)core;
@end
